class GameOver {
  PFont comic;
  boolean goToMenu = false;
  boolean retry = false;
  SettingsJSON settings;

  void gameOverScreen(int score) {
    //Titre de la fenêtre
    surface.setTitle("T nul");
    // On réinitialise les variables sinon y'a des problèmes pour les menus
    goToMenu = false;
    retry = false;
    // On charge las params
    settings = new SettingsJSON();
    settings.loadSettings();
    if (settings.darkMode) {
      background(0);
      fill(255);
    } else {
      background(255);
      fill(0);
    }
    
    textAlign(CENTER);
    textSize(width/18);
    text("Vous avez perdu. Votre score est de " + str(score), width / 2, height / 2);
    if (keyPressed) {
      if (int(key) == 10) {  //Si on appuie sur entré, on recommence le jeu
        retry = true;
      }
      if (int(key) == 8) {  // Sinon si on appui sur BackSpace, on revient au menu
        goToMenu = true;
      }
    }
  }
}
